.cookie-modal {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    background: rgba(0, 0, 0, 0.90);
    width: 100%;
    height: 100%;
    display: none;
    justify-content: center;
    align-items: flex-end;
}

.cookie-modal--visible {
    display: flex;
}

.cookie-modal__content {
    display: flex;
    padding: 24px;
    align-items: flex-start;
    gap: 24px;
    flex-direction: column;
    background: var(--primary-blanc);
    border-radius: 4px;
    margin: 24px;
    max-height: calc(100vh - 96px);
    overflow-y: auto;
}

@media screen and (min-width: 1280px) {
    .cookie-modal__content {
        padding: 24px;
        gap: 16px;
        width: calc(100% - 48px);
        width: 712px;
        margin: 0 0 24px 0;
    }
}

.cookie-modal p {
    margin-bottom: 0;
}

.cookie-modal__title {
    color: var(--primary-noir, #222C36);
    /* 1440/h4 */
    font-family: Antonio;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%; /* 24px */
}

.cookie-modal__actions {
    margin-top: 8px;
    display: flex;
    align-items: center;
    width: 100%;
    flex-direction: column;
    gap: 16px;
}

@media screen and (min-width: 1280px) {
    .cookie-modal__actions {
        margin-top: 16px;
        flex-direction: row;
        justify-content: space-between;
    }
}

.cookie-modal__actions > div {
    display: flex;
    gap: 16px;
    flex-direction: column;
    width: 100%;
}

@media screen and (min-width: 1280px) {
    .cookie-modal__actions > div {
        flex-direction: row;
        width: auto;
    }
}

.cookie-modal__actions--hidden {
    display: none;
}

.cookie-modal__manage {
    display: none;
    flex-direction: column;
    gap: 16px;
    width: 100%;
}

.cookie-modal__manage--visible {
    display: flex;
}

.cookie-modal__manage__actions {
    margin-top: 8px;
}

.cookie-modal .form-checkboxes {
    flex-direction: column;
}